- Qt 5.5
- Qt3D Module
- C++ Classes
- QBoundedCircularBuffer
- Qt 5.5.1 Reference Documentation

# QBoundedCircularBuffer Class

(Qt3D::QBoundedCircularBuffer)

- List of all members, including inherited members

## Public Functions

| QBoundedCircularBuffer(int capacity_)
void | append(const T & t)
T | at(int i) const
T | back() const
int | capacity() const
void | clear()
int | freeSize() const
T | front() const
bool | isEmpty() const
bool | isFull() const
T | pop()
T | pop_front()
void | push(const T & t)
void | push_back(const T & value)
int | size() const
T | takeFirst()

## Member Function Documentation

### QBoundedCircularBuffer::QBoundedCircularBuffer(int capacity_)

### void QBoundedCircularBuffer::append(const T & t)

### T QBoundedCircularBuffer::at(int i) const

### T QBoundedCircularBuffer::back() const

### int QBoundedCircularBuffer::capacity() const

### void QBoundedCircularBuffer::clear()

### int QBoundedCircularBuffer::freeSize() const

### T QBoundedCircularBuffer::front() const

### bool QBoundedCircularBuffer::isEmpty() const

### bool QBoundedCircularBuffer::isFull() const

### T QBoundedCircularBuffer::pop()

### T QBoundedCircularBuffer::pop_front()

### void QBoundedCircularBuffer::push(const T & t)

### void QBoundedCircularBuffer::push_back(const T & value)

### int QBoundedCircularBuffer::size() const

### T QBoundedCircularBuffer::takeFirst()